Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 584989 - Add .<Lanka> and .<Ilangai> to IDN whitelist
: Add .<Lanka> and .<Ilangai> to IDN whitelist
: verified1.9.2
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
: Patrick McManus [:mcmanus]
: 633165 (view as bug list)
Depends on:
Blocks: 661291
  Show dependency treegraph
Reported: 2010-08-06 04:13 PDT by Gervase Markham [:gerv]
Modified: 2011-06-28 10:09 PDT (History)
6 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

Patch v.1 (1.07 KB, patch)
2011-03-16 10:38 PDT, Gervase Markham [:gerv]
dveditz: approval2.0+
dveditz: approval1.9.2.18+
dveditz: approval1.9.1.20+
Details | Diff | Splinter Review

Description Gervase Markham [:gerv] 2010-08-06 04:13:55 PDT

This is Sarves from LKNIC, Sri Lanka.

ICANN has approved our .ලංකා and .இலங்கை IDNs and now we have started issues these domains.

For your information :
Our NIC site -

Could you please enable .ලංකා and .இலங்கை TLDs in Firefox and other Mozilla products.

We also have localised versions of Firefox in Sinhala and Tamil (Sri Lanka). Please enable these IDNs in those localised versions too.



K. Sarveswaran
Systems Engineer
LK Domain Registry

c/o Department of Computer Science and Engineering
University of Moratuwa
Sri Lanka

Mob   : +94-77-224-4192
Office : +94-11-421-6061
Fax     : +94-11-265-0912
Web   : 

Gerv's note: These are .xn--fzc2c9e2c and .xn--xkc2al3hye2a.

The first step in meeting this request is checking their character lists and homograph policy.

Comment 1 Jo Hermans 2010-08-06 08:11:39 PDT
I haven't found a document on that explains what characters are allowed in domain names (.lk, .ලංකා and .இலங்கை) and what are not.
Comment 2 Jothan Frakes 2010-08-06 16:36:34 PDT
I will reach out to Gihan (admin) about Sarves' request and see if they have their list of allowed characters defined yet, and let them know to provide it.
Comment 3 Sarves 2010-08-06 17:57:35 PDT
Yes we have a allowed character list. without defining that we would not have passed ICANN's string evaluation phase.
I will post the list tomorrow after getting the consent from Prof. Gihan Dias. 

fyi :
Comment 4 Gervase Markham [:gerv] 2010-09-13 08:01:16 PDT
Sarves: are you able to show us a public copy of the character list?

Comment 5 Gervase Markham [:gerv] 2010-10-25 04:14:59 PDT
Sarves: this bug is waiting for input from you; no progress can be made without an answer to the question in comment #4.

Comment 6 Gervase Markham [:gerv] 2011-01-18 04:36:36 PST
Resolved INCOMPLETE due to no input from registry. Please reopen when the character list is available.

Comment 7 Ted Mielczarek [:ted.mielczarek] 2011-02-10 05:41:52 PST
*** Bug 633165 has been marked as a duplicate of this bug. ***
Comment 8 Ted Mielczarek [:ted.mielczarek] 2011-02-10 05:42:10 PST
Reopening per bug 633165.
Comment 9 Gervase Markham [:gerv] 2011-03-16 10:31:58 PDT
Here's their policy: . Looks good to me; I don't see significant homographs, and they bundle ZWJ.

Comment 10 Gervase Markham [:gerv] 2011-03-16 10:38:05 PDT
Created attachment 519699 [details] [diff] [review]
Patch v.1
Comment 11 Gervase Markham [:gerv] 2011-05-23 12:49:24 PDT

Comment 12 Sarves 2011-05-25 10:33:58 PDT
Many thanks to the team!
Comment 13 Jothan Frakes 2011-05-27 17:35:19 PDT
Just a further note:
We still need to update the IDN Enabled list
with two entries,  .xn--fzc2c9e2c and .xn--xkc2al3hye2a.

The Registry URL is:
The Policy URL is:

I am on an IDN Panel with Sarves at the upcoming ICANN meeting in Singapore, and I'd like to make the changes to the web page so that they are included there as well.
Comment 14 Daniel Veditz [:dveditz] 2011-06-01 10:37:26 PDT
Comment on attachment 519699 [details] [diff] [review]
Patch v.1

Approved for and, a=dveditz for release-drivers
Approved for the mozilla2.0 repository, a=dveditz for release-drivers
Comment 15 Daniel Veditz [:dveditz] 2011-06-01 10:42:01 PDT
Filed bug 661291 on the website task in comment 13 so it's not forgotten.
Comment 17 Al Billings [:abillings] 2011-06-16 15:18:46 PDT
Verified for by verifying checkin in source.
Comment 18 Sarves 2011-06-21 10:54:48 PDT
Today I tried with Firefox 5. Still I see that both IDNs are not white-listed. 
I installed the Firefox 5 Tamil version. Will that be an issue?

Comment 19 Gervase Markham [:gerv] 2011-06-22 06:03:49 PDT
Sarves: can you give a link to an example domain which doesn't work? I can't find any registered domains under either TLD using Google's site-specific search.

Comment 20 Sarves 2011-06-22 09:56:55 PDT
Gerv : We have many government sites and cooperate sites with IDN. Please see some of them :


I am not sure why Google does not point to any of these. 
I checked about:config on Firefox 5, however I do not see that .lanka (.xn--fzc2c9e2c) and .ilangai (.xn--xkc2al3hye2a) are whitelisted.
Thanks, Sarves
Comment 21 Gervase Markham [:gerv] 2011-06-22 11:50:20 PDT
Hmm. Yes, I missed a branch :-( I checked it in on trunk, 4.0, 3.6 and 3.5 but missed 5.0.

I'm not totally sure how to nominate it now, and whether there is any follow-up release planned on the 5.0 branch, but let's try setting this flag.

Comment 22 Asa Dotzler [:asa] 2011-06-27 14:49:07 PDT
leaving this nominated for tracking 5 until we know if we're doing a 5 respin/chemspill. if we don't do a chemspill 5.0.x, we'll minus this when we ship 6.
Comment 23 Gervase Markham [:gerv] 2011-06-28 02:53:09 PDT
Asa: dveditz policy with older branches is to permit checkins of bugs like this, and if it turns out that we never ship, then no harm done. See comment 14 for an example - we have no plans to ship again off 1.9.1. 

Is the policy different for more recent branches?

Comment 24 Asa Dotzler [:asa] 2011-06-28 10:09:17 PDT
Gerv, yeah. New policy because we've got an entirely different build set-up for the new channels system.

Note You need to log in before you can comment on or make changes to this bug.